ZM90

List of K1R Compatible Mods.

98 posts in this topic

Here is a list of mods that are currently compatible with K1R.  If you know a mod is compatible with K1R then tell me and I will add it to the list.

 

These are the ones confirmed to be compatible thus far.  If I have missed any please let me know and I shall add it to the list.  Thanks.

 

Edit by Fair Strides:

In an effort to arrange for a decent layout without being able to reserve posts immediately after this post (since we didn't get on the ball when ZM made the thread), I'm implementing some formatting here...

 

Thus, everything past this point is my (Fair Strides) fault, so blame me... :P

 

Compatible Mods (with categories):

 

Content:

Bastila on Korriban - K1R Version 1.0 by Fair Strides

Party on the Leviathan! 1.0 by Fair Strides

Vulkar Coward Redux 1.0 by Fair Strides

Malak's Unique Apprentices 1.0 by Kexikus

Duel Room Final 1.0 by aneeryrlue

Rece's Upgradable Vanilla Robes by Rece

Rece's Elemental Robes by Rece

Rece's K1 Lightsaber Mod by Rece

Ajunta Pall's Swords Revamped by Rece

KotOR 1 10 New Robes by Rece

Canon Galaxy Map for KotOR 1 by Kexikus

Sandpeople Disguise Drop Fix by Kexikus

Proper Manaan Quest Endings by Kexikus

Sithspecter's Boba Fett 1.0 by Sithspecter

Energy shield Damage Fix 1.0 by R2-X2

Force Dustil 1.0 by forgetcanon

Mandalorian Battle Blades 2.0 by Darth InSidious

Cipher Gear 1.0 by darkbirdie

Movie Robe Reskin 2.1 by Squall Lionhart

Saul Karath Enhancement 1.0 by TheImpAdmiral

Bearded PMHC01 Head Replacement 1.0 by inyriforge

N7 Valiant 1.0 by inyriforge

Health Regeneration by MVacc224

Classes, Feats, Powers, and Skills Tweak by MVacc224

War Torn Mullet Man 2.0 by ZimmMaster

Teta's Royal Band Restored by Darth InSidious

Revan's Jedi Robes 2.0 by ZimmMaster

Halo Energy Sword 1.0 by Darth InSidious

Lightsaber and Force Forms 1.0 by Darth InSidious

Remove Force Power Restrictions on Armor by MrPhil

 

Texture:

KotOR 1 Clothing Texture Enhancement by Rece

Yuthura Sith Eyes with Lightside Transition by Kexikus

High Quality Starfields and Nebulas by Kexikus

Green Pazaak Base Cards for K1 by Kexikus

Darth Malak - Herald of Darkness 1.1 by Kainzorus Prime

Endar Spire Complete Overhaul 1.0 by  Jorak Uln

Natural PFHA04 Reskin 1.0 by honeybeenectarine

Saber Colors Overhaul animated - SWTOR Edition 1.0 by Jorak Uln

No Dark Side Transitions 1.0 by R2-X2

Advanced Wardroid 1.0 by Xedii/Xarwars

Malak - Path of Corruption 1.0 by Kainzorus Prime

 

Incompatible Mods (with reasons):

Bendak Bounty and Emblem Armor Compatibility Patch by Klexikus

  - This is merely a patch between two mods, neither of which is currently confirmed to be compatible with K1R, so I'm erring on the side of safety.

 

Sonic Screwdriver 1.0 by Darth InSidious

  - Modifies dan13_crattis.dlg, AKA Crattis Yukal's dialog.

 

Quanon's Saberhilt Pack by Quanon

  - Confirmed to conflict with Jolee in the Upper Shadowlands. The mod replaces his dlg file, which both undoes the effects of K1R and screws up how it operates in the module. (Thanks to scoutception for finding this the hard way... :D)

 

Questionable Mods (with reasons):

Scoundrel Trousers by darkbirdie

  - Because it undoes the fix to the back seam that K1R's Scoundrel texture fixes in the female version.

 

KOTOR Bug Fix Attempt 1.0 by danii-ch

  - Some things K1R already does, like Calo's soundset and I believe the Bastila Romance Fix, but I'm not sure how the rest is implemented...

Edited by Fair Strides
  • Like 1

Share this post


Link to post
Share on other sites

All of my mods should be compatible with K1R so yeah.

Share this post


Link to post
Share on other sites

All of my mods should be compatible with K1R so yeah.

 

Added them to the list.

Share this post


Link to post
Share on other sites

All my other mods (excluding the Bendak Compability Patch as I don't know about the two mods it needs) should be K1R compatible as well. I haven't actually tested them but they have no file conflicts and are all pretty minor so I don't see any other issues that could arise.

Here's the list:

 

Canon Galaxy Map for KotOR 1

Sandpeople Disguise Drop Fix

Yuthura Sith Eyes with Lightside Transition

Proper Manaan Quest Endings

 

And if you want to include texture mods too:

 

High Quality Starfields and Nebulas

Green Pazaak Base Cards for K1

Share this post


Link to post
Share on other sites

I have a suggestion (that you obviously do not need to take action on if you don't feel it's necessary.) I'd appreciate the mod compatibility list having clickable links for all of the listed mods. Again, it's only a suggestion and you need not heed it if you don't feel it's necessary.

 

I am using three mods that I am not certain are compatible. They are the No Force Restrictions mod, the Sherruk Attacks With Lightsabers mod, and the K1 Force Pack mod. I will be using them when I install the game on Steam soon, and I will test them while I'm playing. If they are compatible, I will let you know.

Share this post


Link to post
Share on other sites

Yes, add click-able links. This thread is nice, but it's more of a pain in the ass to have to use the search function to try to figure where the mods are located, most of the time I've noticed the search function doesn't even return any results after copy and pasting the exact string/name of what you put in the thread, so please, for the sake of simplicity, make the mods linked.

 

Admin Note: Clickable links added.  It's now up to ZM90 or Fair Strides to add any additional links. PM one of them if you don't see that happening.

Share this post


Link to post
Share on other sites

Installing Party on Leviathan, I get a warning message "Warning: A file named lev_m40aa.mod already exists in the modules folder. Skipping file..."

Share this post


Link to post
Share on other sites

Installing Party on Leviathan, I get a warning message "Warning: A file named lev_m40aa.mod already exists in the modules folder. Skipping file..."

Yes, that was expected. (I should have put that in the read-me...)

 

I shipped a non-modded (not even K1R) version of the Leviathan level, that way if you didn't have K1R, the mod could still be applied properly...

 

Hence why it's entirely separate from K1R but complements it as well.

  • Like 1

Share this post


Link to post
Share on other sites

I can confirm that the following mods work with K1R.

 

 

Remove Force Speed Blur (Has to be installed before K1R to work)

 

http://forums.steampowered.com/forums/showthread.php?s=113e6e64c27572563480fbeb0281bb61&t=979242

 

Remove Restrictions for Force Powers by Armor

 

http://deadlystream.com/forum/files/file/20-remove-restrictions-for-force-powers-by-armors/

 

Sherruk Attacks with Lightsabers

 

http://knightsoftheoldrepublic.filefront.com/file/Sherruk_Attacks_With_Lightsabers;63418

 

K1 Force Pack

 

http://knightsoftheoldrepublic.filefront.com/file/K1_Force_Pack;97281

Share this post


Link to post
Share on other sites

I can confirm that the following mods work with K1R.

 

 

Remove Force Speed Blur (Has to be installed before K1R to work)

 

http://forums.steampowered.com/forums/showthread.php?s=113e6e64c27572563480fbeb0281bb61&t=979242

 

Remove Restrictions for Force Powers by Armor

 

http://deadlystream.com/forum/files/file/20-remove-restrictions-for-force-powers-by-armors/

 

Sherruk Attacks with Lightsabers

 

http://knightsoftheoldrepublic.filefront.com/file/Sherruk_Attacks_With_Lightsabers;63418

 

K1 Force Pack

 

http://knightsoftheoldrepublic.filefront.com/file/K1_Force_Pack;97281

 

 

I think "Sherruk Attacks with Lightsabers" bugs out the wipe out all mandelorian raiders quest, when I tried to kill one group of the mandelores I couldn't speak to them, nor could I attack them. Though it could just be a incompatibility with one of the many other mods I am using. The other mods you posted are working flawlessly though, thanks for share.

Share this post


Link to post
Share on other sites

I think "Sherruk Attacks with Lightsabers" bugs out the wipe out all mandelorian raiders quest, when I tried to kill one group of the mandelores I couldn't speak to them, nor could I attack them. Though it could just be a incompatibility with one of the many other mods I am using. The other mods you posted are working flawlessly though, thanks for share.

Actually, I think that has to do with a bug with the Iriaz. I played with the Sherruk mod and was able to attack all of the Mandalorians, unless Iriaz attacked them first. If Iriaz got to them first, they wouldn't attack me. Just leave the area and come back and they should attack.

Share this post


Link to post
Share on other sites

Actually, I think that has to do with a bug with the Iriaz. I played with the Sherruk mod and was able to attack all of the Mandalorians, unless Iriaz attacked them first. If Iriaz got to them first, they wouldn't attack me. Just leave the area and come back and they should attack.

 

Yeh you know what, you are right, the madalorians did attack the Iriaz, and then I couldn't even attack them or they didn't even attack me. I tried leaving area, and coming back, but it didn't work. 

 

 

Another resource for compatiable mods that I just found may prove useful to some people: https://www.reddit.com/r/kotor/comments/3c2kvw/kotor_1_and_2_mod_builds_guaranteed_compatibility/

Share this post


Link to post
Share on other sites

Yeh you know what, you are right, the madalorians did attack the Iriaz, and then I couldn't even attack them or they didn't even attack me. I tried leaving area, and coming back, but it didn't work. 

 

 

Another resource for compatiable mods that I just found may prove useful to some people: https://www.reddit.com/r/kotor/comments/3c2kvw/kotor_1_and_2_mod_builds_guaranteed_compatibility/

Try saving the game and loading it again. I thankfully had saved the game previously before going into the area where the glitch happened. I was just able to load that and try again.

Share this post


Link to post
Share on other sites

I just attempted a run through with the NPC overhaul. I noticed not being able to get to the Vulkar Base sublevel.  After looking at my mod list this one was the only one that alter the modules. I am attempting another run through now without it.  Thank you for making this great game absolutely fantastic.

 

My Mod list: (Warning my Override folder is very full) :smiling:

 

 

K1R

Endar Spire and Sith Base Texture overhauls

Bodies Stay

Desert Wraid shyrack texture fix

Hi Res Beam effects

KoTOR Weapon Model Overhaul (toasty's)

KotOR Cutscene Sound Improvment 2.0

Leviathan Party

Better Male Face 4

Blaster Pistol Enhancement

Canon Galaxy Map

DarthDac's Warpband

Energy Shield Fix

Gaffi Stick Improvement

Green Pazaak cards

HD Stars and Nebulas

New ds underwear

K1 Prequel Robes

Malak Path of Corruption

Malak's unique apprentices

Mr. Fetts Saber Blade replacement

Music fix for Manaan and Korriban

PC response moderation

Qui-Don Jorns Sabers

Remove Force Power restrictions

Sunry Murder Enhancement (not sure if this was included in K1R)

Ultimate Sound Mod

Uthar Redone

Visually Distinctive weapontypes

Weapon Model Overhaul

 

 

  • Like 1

Share this post


Link to post
Share on other sites

I'm not sure that InSidious's Lightsaber and Force Forms mod is entirely compatible. I did one playthrough with it and without K1R, and it was fine, but with K1R, the holocron in the Jedi Academy is appearing as a bed, not a holocron.

 

Other new mods I have installed are:

 

Extreme Conditions Combat Robes by Darth Insidious

Duel Room Final by aneeryrlue

Proper Manaan Quest Endings by Kexikus

Tomb of Exar Kun by deathdisco

Share this post


Link to post
Share on other sites

Anyone check Brotherhood of Shadow Solomon's Revenge for compatibility?

 

Important Question! I never really modded K1 and want to start now and neeed to know this:D!

Share this post


Link to post
Share on other sites

Anyone check Brotherhood of Shadow Solomon's Revenge for compatibility?

 

AFAIK it is compatible and I think you have to install K1R first, but don't take my word for it. Just check the development thread, the beta feedback thread and other big threads in the K1R section, I know it was mentioned somewhere.

And I think FS is working on some kind of patch for BoS:SR, or atleast he has mentioned something like that and I assume that this updated version would be compatible with K1R.

Share this post


Link to post
Share on other sites

AFAIK it is compatible and I think you have to install K1R first, but don't take my word for it. Just check the development thread, the beta feedback thread and other big threads in the K1R section, I know it was mentioned somewhere.

And I think FS is working on some kind of patch for BoS:SR, or atleast he has mentioned something like that and I assume that this updated version would be compatible with K1R.

Well, I don't know whether or not BoS:SR is incompatible with K1R. I haven't seen any direct conflicts and am about to do a quick playthrough to test this while I work on a BoS:SR patch (not a K1R Compatiblity patch unless there are conflicts).

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now